Begin Iteration

- « RecursiveIteratorIterator::beginChildren

- RecursiveIteratorIterator::callGetChildren »

- PHP Manual
- RecursiveIteratorIterator
- Begin Iteration

# RecursiveIteratorIterator::beginIteration

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

RecursiveIteratorIterator::beginIteration — Begin Iteration

### Description

public RecursiveIteratorIterator::beginIteration(): void

Called when iteration begins (after the first RecursiveIteratorIterator::rewind() call.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

No value is returned.